mpc85xx_rio_doorbell_init
Prev | PPC32 support | Next

## Name

mpc85xx_rio_doorbell_init — MPC85xx doorbell interface init

## Synopsis

`int mpc85xx_rio_doorbell_init (` | struct rio_mport * | mport`)`;

## Arguments

`mport`

  Master port implementing the inbound doorbell unit

## Description

Initializes doorbell unit hardware and inbound DMA buffer ring. Called from `mpc85xx_rio_setup`. Returns `0` on success or `-ENOMEM` on failure.

Prev | Up | Next
mpc85xx_rio_dbell_handler | Home | mpc85xx_rio_setup